using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Strata.Code.DataAccess.Models;

[Table("ChargeVolumeAddProviderAdjustment", Schema = "fp")]
[Index("BudgetConfigId", "AdjustmentGuid", "EntityId", "DepartmentId", "ServiceLineId", "PatientClassId", "AgeCohortId", "MedicalSurgicalId", "ChargeCodeId", "ServiceEntityId", "Msdrgid", "UbrevCodeId", "PrimaryCptid", "ServiceProviderId", "ServiceProviderSpecialtyId", "PerformingProviderId", "PerformingProviderSpecialtyId", "BillingCptid", "TimeClassId", "BudgetPhaseId", Name = "IX_ClusteredUnique", IsUnique = true)]
public partial class ChargeVolumeAddProviderAdjustment
{
    [Key]
    [Column("RowID")]
    public int RowId { get; set; }

    [Column("BudgetConfigID")]
    public int BudgetConfigId { get; set; }

    [Column("AdjustmentGUID")]
    public Guid AdjustmentGuid { get; set; }

    [Column("EntityID")]
    public int EntityId { get; set; }

    [Column("DepartmentID")]
    public int DepartmentId { get; set; }

    [Column("ServiceLineID")]
    public int ServiceLineId { get; set; }

    [Column("PatientClassID")]
    public int PatientClassId { get; set; }

    [Column("AgeCohortID")]
    public int AgeCohortId { get; set; }

    [Column("MedicalSurgicalID")]
    public int MedicalSurgicalId { get; set; }

    [Column("ChargeCodeID")]
    public int ChargeCodeId { get; set; }

    [Column("ServiceEntityID")]
    public int ServiceEntityId { get; set; }

    [Column("MSDRGID")]
    public int Msdrgid { get; set; }

    [Column("UBRevCodeID")]
    public int UbrevCodeId { get; set; }

    [Column("PrimaryCPTID")]
    public int PrimaryCptid { get; set; }

    [Column("BillingCPTID")]
    public int BillingCptid { get; set; }

    [Column("ServiceProviderID")]
    public int ServiceProviderId { get; set; }

    [Column("ServiceProviderSpecialtyID")]
    public int ServiceProviderSpecialtyId { get; set; }

    [Column("PerformingProviderID")]
    public int PerformingProviderId { get; set; }

    [Column("PerformingProviderSpecialtyID")]
    public int PerformingProviderSpecialtyId { get; set; }

    [Column("TimeClassID")]
    public byte TimeClassId { get; set; }

    [Column("BudgetPhaseID")]
    public byte BudgetPhaseId { get; set; }

    public bool IsRecordDeleted { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal Value01 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal Value02 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal Value03 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal Value04 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal Value05 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal Value06 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal Value07 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal Value08 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal Value09 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal Value10 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal Value11 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal Value12 { get; set; }
}
